
***************Treatment-effects estimators**********************
. use "C:\Users\admin\Desktop\workshop\cattaneo2.dta" 
(Excerpt from Cattaneo (2010) Journal of Econometrics 155: 138-154)

*********Continuous outcomes***********
///We estimate the effect of a mother’s smoking behavior (mbsmoke) on the birthweight of her child (bweight), controlling for marital status (mmarried), the mother’s age (mage), whether the mother had a prenatal doctor’s visit in the baby’s first trimester (prenatal1), and whether this baby is the mother’s first child (fbaby)///

- Outcome = birthweight (bweight)
- Intervention = mother’s smoking behavior (mbsmoke)
- Co-variables = marital status (mmarried), mother’s age (mage), prenatal doctor’s visit (prenatal1), mother’s first child (fbaby).

****1. Regression adjustment****

///1.1 Check balancing before trt effect model

. regress bweight mmarried

      Source |       SS           df       MS      Number of obs   =     4,642
-------------+----------------------------------   F(1, 4640)      =    156.10
       Model |    50608512         1    50608512   Prob > F        =    0.0000
    Residual |  1.5043e+09     4,640  324197.354   R-squared       =    0.0325
-------------+----------------------------------   Adj R-squared   =    0.0323
       Total |  1.5549e+09     4,641  335032.156   Root MSE        =    569.38

------------------------------------------------------------------------------
     bweight |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
    mmarried |   227.7849   18.23131    12.49   0.000     192.0429    263.5269
       _cons |   3202.299   15.25012   209.99   0.000     3172.402    3232.197
------------------------------------------------------------------------------


. regress bweight i.mbsmoke

      Source |       SS           df       MS      Number of obs   =     4,642
-------------+----------------------------------   F(1, 4640)      =    164.62
       Model |  53275939.9         1  53275939.9   Prob > F        =    0.0000
    Residual |  1.5016e+09     4,640  323622.478   R-squared       =    0.0343
-------------+----------------------------------   Adj R-squared   =    0.0341
       Total |  1.5549e+09     4,641  335032.156   Root MSE        =    568.88

------------------------------------------------------------------------------
     bweight |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
     mbsmoke |
     smoker  |  -275.2519    21.4528   -12.83   0.000    -317.3096   -233.1942
       _cons |   3412.912   9.255254   368.75   0.000     3394.767    3431.056
------------------------------------------------------------------------------

. regress bweight mage

      Source |       SS           df       MS      Number of obs   =     4,642
-------------+----------------------------------   F(1, 4640)      =     52.07
       Model |  17256066.7         1  17256066.7   Prob > F        =    0.0000
    Residual |  1.5376e+09     4,640  331385.381   R-squared       =    0.0111
-------------+----------------------------------   Adj R-squared   =    0.0109
       Total |  1.5549e+09     4,641  335032.156   Root MSE        =    575.66

------------------------------------------------------------------------------
     bweight |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
        mage |   10.85186   1.503834     7.22   0.000     7.903628    13.80009
       _cons |   3074.057   40.74408    75.45   0.000     2994.179    3153.934
------------------------------------------------------------------------------


. regress bweight i.prenatal1

      Source |       SS           df       MS      Number of obs   =     4,642
-------------+----------------------------------   F(1, 4640)      =     47.65
       Model |    15804329         1    15804329   Prob > F        =    0.0000
    Residual |  1.5391e+09     4,640  331698.256   R-squared       =    0.0102
-------------+----------------------------------   Adj R-squared   =    0.0100
       Total |  1.5549e+09     4,641  335032.156   Root MSE        =    575.93

------------------------------------------------------------------------------
     bweight |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
   prenatal1 |
        Yes  |   146.2526   21.18787     6.90   0.000     104.7143    187.7909
       _cons |   3244.476   18.96733   171.06   0.000     3207.291    3281.661
------------------------------------------------------------------------------


. regress bweight i.fbaby

      Source |       SS           df       MS      Number of obs   =     4,642
-------------+----------------------------------   F(1, 4640)      =     11.14
       Model |  3723725.96         1  3723725.96   Prob > F        =    0.0009
    Residual |  1.5512e+09     4,640  334301.834   R-squared       =    0.0024
-------------+----------------------------------   Adj R-squared   =    0.0022
       Total |  1.5549e+09     4,641  335032.156   Root MSE        =    578.19

------------------------------------------------------------------------------
     bweight |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
       fbaby |
        Yes  |   -57.0868   17.10473    -3.34   0.001     -90.6202    -23.5534
       _cons |   3386.681   11.31963   299.19   0.000      3364.49    3408.873
------------------------------------------------------------------------------


. regress bweight mmarried mage prenatal1 fbaby

      Source |       SS           df       MS      Number of obs   =     4,642
-------------+----------------------------------   F(4, 4637)      =     43.07
       Model |  55696993.4         4  13924248.3   Prob > F        =    0.0000
    Residual |  1.4992e+09     4,637  323309.735   R-squared       =    0.0358
-------------+----------------------------------   Adj R-squared   =    0.0350
       Total |  1.5549e+09     4,641  335032.156   Root MSE        =     568.6

------------------------------------------------------------------------------
     bweight |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
    mmarried |   195.6251   21.00558     9.31   0.000     154.4442     236.806
        mage |   1.565696   1.755128     0.89   0.372    -1.875189    5.006581
   prenatal1 |   68.91821   22.47418     3.07   0.002     24.85813    112.9783
       fbaby |  -35.20693   17.81019    -1.98   0.048    -70.12338   -.2904864
       _cons |   3143.493   45.96029    68.40   0.000     3053.389    3233.597
------------------------------------------------------------------------------


****1.2. RA estimator****

. teffects ra (bweight mmarried mage prenatal1 fbaby) (mbsmoke)

Iteration 0:   EE criterion =  2.439e-23  
Iteration 1:   EE criterion =  1.103e-25  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : regression adjustment
Outcome model  : linear
Treatment model: none
----------------------------------------------------------------------------------------
                       |               Robust
               bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -239.6392   23.82402   -10.06   0.000    -286.3334    -192.945
-----------------------+----------------------------------------------------------------
POmean                 |
               mbsmoke |
            nonsmoker  |   3403.242   9.525207   357.29   0.000     3384.573    3421.911
----------------------------------------------------------------------------------------

. teffects ra (bweight mmarried mage prenatal1 fbaby) (mbsmoke), pomean

Iteration 0:   EE criterion =  2.439e-23  
Iteration 1:   EE criterion =  1.280e-26  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : regression adjustment
Outcome model  : linear
Treatment model: none
------------------------------------------------------------------------------
             |               Robust
     bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
POmeans      |
     mbsmoke |
  nonsmoker  |   3403.242   9.525207   357.29   0.000     3384.573    3421.911
     smoker  |   3163.603   21.86351   144.70   0.000     3120.751    3206.455
------------------------------------------------------------------------------

. teffects ra (bweight mmarried mage prenatal1 fbaby) (mbsmoke), ate

Iteration 0:   EE criterion =  2.439e-23  
Iteration 1:   EE criterion =  1.103e-25  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : regression adjustment
Outcome model  : linear
Treatment model: none
----------------------------------------------------------------------------------------
                       |               Robust
               bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -239.6392   23.82402   -10.06   0.000    -286.3334    -192.945
-----------------------+----------------------------------------------------------------
POmean                 |
               mbsmoke |
            nonsmoker  |   3403.242   9.525207   357.29   0.000     3384.573    3421.911
----------------------------------------------------------------------------------------

. 
****2. The inverse probability weighting ****

///2.1 Check balancing before trt effect model

///2.2 IPW estimator****

. teffects ipw (bweight) (mbsmoke mmarried mage prenatal1 fbaby, probit), pomean

Iteration 0:   EE criterion =  6.179e-22  
Iteration 1:   EE criterion =  7.214e-27  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : inverse-probability weights
Outcome model  : weighted mean
Treatment model: probit
------------------------------------------------------------------------------
             |               Robust
     bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
POmeans      |
     mbsmoke |
  nonsmoker  |   3402.468   9.536078   356.80   0.000     3383.778    3421.159
     smoker  |   3166.323   22.11125   143.20   0.000     3122.985     3209.66
------------------------------------------------------------------------------

. teffects ipw (bweight) (mbsmoke mmarried mage prenatal1 fbaby, probit), ate

Iteration 0:   EE criterion =  2.199e-22  
Iteration 1:   EE criterion =  7.214e-27  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : inverse-probability weights
Outcome model  : weighted mean
Treatment model: probit
----------------------------------------------------------------------------------------
                       |               Robust
               bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -236.1457   24.05794    -9.82   0.000    -283.2984    -188.993
-----------------------+----------------------------------------------------------------
POmean                 |
               mbsmoke |
            nonsmoker  |   3402.468   9.536078   356.80   0.000     3383.778    3421.159
----------------------------------------------------------------------------------------

. 
///2.3 Check balancing after trt effect model


. tebalance summarize

  Covariate balance summary
                                                   Raw     Weighted
                          -----------------------------------------
                          Number of obs =        4,642      4,642.0
                          Treated obs   =          864      2,317.6
                          Control obs   =        3,778      2,324.4
                          -----------------------------------------

  -----------------------------------------------------------------
                  |Standardized differences          Variance ratio
                  |        Raw    Weighted           Raw   Weighted
  ----------------+------------------------------------------------
         mmarried |  -.5953009   -.0071409      1.335944   1.006157
             mage |   -.300179   -.0527275      .8818025   .8548724
        prenatal1 |  -.3242695   -.0099129      1.496155   1.014868
            fbaby |  -.1663271    .0261575      .9430944   1.005678
  -----------------------------------------------------------------

. tebalance density mage





****3. Inverse Probability Weighting with Regression Adjustment ****

///3.1 Check balancing before trt effect model

///3.2 IPWRA estimator****


. teffects ipwra (bweight mmarried mage prenatal1 fbaby) (mbsmoke mmarried mage prenatal1 fbaby, l
> ogit)

Iteration 0:   EE criterion =  1.901e-21  
Iteration 1:   EE criterion =  3.755e-26  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : IPW regression adjustment
Outcome model  : linear
Treatment model: logit
----------------------------------------------------------------------------------------
                       |               Robust
               bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -238.7679   24.38353    -9.79   0.000    -286.5587    -190.977
-----------------------+----------------------------------------------------------------
POmean                 |
               mbsmoke |
            nonsmoker  |   3402.851   9.538741   356.74   0.000     3384.155    3421.546
----------------------------------------------------------------------------------------

. teffects ipwra (bweight mmarried mage prenatal1 fbaby) (mbsmoke mmarried mage prenatal1 fbaby, l
> ogit), pomean

Iteration 0:   EE criterion =  1.901e-21  
Iteration 1:   EE criterion =  2.041e-26  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : IPW regression adjustment
Outcome model  : linear
Treatment model: logit
------------------------------------------------------------------------------
             |               Robust
     bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
POmeans      |
     mbsmoke |
  nonsmoker  |   3402.851   9.538741   356.74   0.000     3384.155    3421.546
     smoker  |   3164.083   22.46613   140.84   0.000      3120.05    3208.116
------------------------------------------------------------------------------

. teffects ipwra (bweight mmarried mage prenatal1 fbaby) (mbsmoke mmarried mage prenatal1 fbaby, l
> ogit), ate

Iteration 0:   EE criterion =  1.901e-21  
Iteration 1:   EE criterion =  3.755e-26  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : IPW regression adjustment
Outcome model  : linear
Treatment model: logit
----------------------------------------------------------------------------------------
                       |               Robust
               bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -238.7679   24.38353    -9.79   0.000    -286.5587    -190.977
-----------------------+----------------------------------------------------------------
POmean                 |
               mbsmoke |
            nonsmoker  |   3402.851   9.538741   356.74   0.000     3384.155    3421.546
----------------------------------------------------------------------------------------


///3.3 Check balancing after trt effect model

. tebalance overid

Iteration 0:   criterion =  .02146858  
Iteration 1:   criterion =  .02159149  (backed up)
Iteration 2:   criterion =  .02177783  
Iteration 3:   criterion =  .02260103  
Iteration 4:   criterion =  .02267954  
Iteration 5:   criterion =  .02292393  
Iteration 6:   criterion =  .02431295  
Iteration 7:   criterion =  .02456899  
Iteration 8:   criterion =  .02488515  
Iteration 9:   criterion =  .02529734  
Iteration 10:  criterion =  .02545899  
Iteration 11:  criterion =  .02550208  
Iteration 12:  criterion =  .02552829  
Iteration 13:  criterion =  .02554448  
Iteration 14:  criterion =  .02554512  
Iteration 15:  criterion =  .02554514  

Overidentification test for covariate balance
         H0: Covariates are balanced:

         chi2(5)      =  38.1464
         Prob > chi2  =   0.0000**** reject


. tebalance summarize, baseline

  Covariate balance summary
                                                   Raw     Weighted
                          -----------------------------------------
                          Number of obs =        4,642      4,642.0
                          Treated obs   =          864      2,315.3
                          Control obs   =        3,778      2,326.7
                          -----------------------------------------

  -----------------------------------------------------------------
                  |           Means                  Variances     
                  |    Control     Treated       Control    Treated
  ----------------+------------------------------------------------
         mmarried |   .7514558    .4733796      .1868194   .2495802
             mage |   26.81048    25.16667      31.87141   28.10429******
        prenatal1 |   .8268925    .6898148      .1431792   .2142183
            fbaby |   .4531498    .3715278      .2478707   .2337654
  -----------------------------------------------------------------

  
. tebalance summarize

  Covariate balance summary
                                                   Raw     Weighted
                          -----------------------------------------
                          Number of obs =        4,642      4,642.0
                          Treated obs   =          864      2,315.3
                          Control obs   =        3,778      2,326.7
                          -----------------------------------------

  -----------------------------------------------------------------
                  |Standardized differences          Variance ratio
                  |        Raw    Weighted           Raw   Weighted
  ----------------+------------------------------------------------
         mmarried |  -.5953009   -.0105562      1.335944   1.009079
             mage |   -.300179   -.0672115      .8818025   .8536401
        prenatal1 |  -.3242695   -.0156339      1.496155   1.023424
            fbaby |  -.1663271    .0257705      .9430944   1.005698
  -----------------------------------------------------------------

  
. tebalance density mage

***To try to achieve better balance, we specify a richer model with interactions between mage and the other covariates and look at the resulting standardized differences.***

. teffects ipw (bweight) (mbsmoke mmarried mage prenatal1 fbaby c.mage#(c.mage i.mmarried prenatal
> 1))

Iteration 0:   EE criterion =  9.365e-20  
Iteration 1:   EE criterion =  1.187e-25  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : inverse-probability weights
Outcome model  : weighted mean
Treatment model: logit
----------------------------------------------------------------------------------------
                       |               Robust
               bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -239.6875   26.43427    -9.07   0.000    -291.4977   -187.8773
-----------------------+----------------------------------------------------------------
POmean                 |
               mbsmoke |
            nonsmoker  |   3403.638    9.56792   355.73   0.000     3384.885     3422.39
----------------------------------------------------------------------------------------


. tebalance overid

Iteration 0:   criterion =   .0602349  
Iteration 1:   criterion =  .06172749  (backed up)
Iteration 2:   criterion =  .06427187  (backed up)
Iteration 3:   criterion =   .0648796  (backed up)
Iteration 4:   criterion =  .06526076  (backed up)
Iteration 5:   criterion =   .0664342  
Iteration 6:   criterion =  .07205427  
Iteration 7:   criterion =  .07616406  
Iteration 8:   criterion =  .07668974  
Iteration 9:   criterion =   .0767653  
Iteration 10:  criterion =  .07698992  
Iteration 11:  criterion =  .07765947  
Iteration 12:  criterion =  .07771445  
Iteration 13:  criterion =  .07772234  
Iteration 14:  criterion =  .07773176  
Iteration 15:  criterion =  .07775152  
Iteration 16:  criterion =  .07775323  
Iteration 17:  criterion =  .07775324  
Iteration 18:  criterion =  .07775325  

Overidentification test for covariate balance
         H0: Covariates are balanced:

         chi2(8)      =  11.8612
         Prob > chi2  =   0.1575


****4. Propensity-score matching ****
 
. teffects psmatch (bweight) (mbsmoke mmarried mage prenatal1 fbaby, probit)

Treatment-effects estimation                   Number of obs      =      4,642
Estimator      : propensity-score matching     Matches: requested =          1
Outcome model  : matching                                     min =          1
Treatment model: probit                                       max =        139
----------------------------------------------------------------------------------------
                       |              AI Robust
               bweight |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -241.7708    27.7652    -8.71   0.000    -296.1895    -187.352
----------------------------------------------------------------------------------------


///4.1 Check balancing after trt effect model

. tebalance summarize
note: refitting the model using the generate() option

  Covariate balance summary
                                                   Raw      Matched
                          -----------------------------------------
                          Number of obs =        4,642        9,284
                          Treated obs   =          864        4,642
                          Control obs   =        3,778        4,642
                          -----------------------------------------

  -----------------------------------------------------------------
                  |Standardized differences          Variance ratio
                  |        Raw     Matched           Raw    Matched
  ----------------+------------------------------------------------
         mmarried |  -.5953009    .0014107      1.335944   .9987659
             mage |   -.300179   -.0106696      .8818025   .9862986
        prenatal1 |  -.3242695     .036135      1.496155   .9448884
            fbaby |  -.1663271   -.0139074      .9430944    .996307
  -----------------------------------------------------------------

. tebalance density mage


*********Dichotomous outcomes***********

- Outcome = prenatal doctor’s visit (prenatal1)
- Intervention = mother’s smoking behavior (mbsmoke)
- Co-variables = marital status (mmarried), mother’s age (mage), mother’s first child (fbaby).


****1. Inverse Probability Weighting with Regression Adjustment ****

///1.1 Check balancing before trt effect model

///1.2 IPWRA estimator****

. teffects ipwra (prenatal1 mmarried mage fbaby) (mbsmoke mmarried mage fbaby, logit)

Iteration 0:   EE criterion =  2.073e-22  
Iteration 1:   EE criterion =  3.318e-33  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : IPW regression adjustment
Outcome model  : linear
Treatment model: logit
----------------------------------------------------------------------------------------
                       |               Robust
             prenatal1 |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -.0435968   .0154395    -2.82   0.005    -.0738577   -.0133359
-----------------------+----------------------------------------------------------------
POmean                 |
               mbsmoke |
            nonsmoker  |   .8099522   .0065265   124.10   0.000     .7971605    .8227439
----------------------------------------------------------------------------------------

///1.3 Check balancing after trt effect model

. tebalance overid

Iteration 0:   criterion =  .02557668  
Iteration 1:   criterion =  .02568327  (backed up)
Iteration 2:   criterion =   .0256934  
Iteration 3:   criterion =  .02571076  
Iteration 4:   criterion =  .02571702  
Iteration 5:   criterion =  .02573239  
Iteration 6:   criterion =  .02573414  
Iteration 7:   criterion =  .02573473  
Iteration 8:   criterion =  .02573474  

Overidentification test for covariate balance
         H0: Covariates are balanced:

         chi2(4)      =   37.858
         Prob > chi2  =   0.0000


 
. tebalance summarize, baseline

  Covariate balance summary
                                                   Raw     Weighted
                          -----------------------------------------
                          Number of obs =        4,642      4,642.0
                          Treated obs   =          864      2,317.4
                          Control obs   =        3,778      2,324.6
                          -----------------------------------------

  -----------------------------------------------------------------
                  |           Means                  Variances     
                  |    Control     Treated       Control    Treated
  ----------------+------------------------------------------------
         mmarried |   .7514558    .4733796      .1868194   .2495802
             mage |   26.81048    25.16667      31.87141   28.10429
            fbaby |   .4531498    .3715278      .2478707   .2337654
  -----------------------------------------------------------------


. tebalance summarize

  Covariate balance summary
                                                   Raw     Weighted
                          -----------------------------------------
                          Number of obs =        4,642      4,642.0
                          Treated obs   =          864      2,317.4
                          Control obs   =        3,778      2,324.6
                          -----------------------------------------

  -----------------------------------------------------------------
                  |Standardized differences          Variance ratio
                  |        Raw    Weighted           Raw   Weighted
  ----------------+------------------------------------------------
         mmarried |  -.5953009   -.0061571      1.335944   1.005325
             mage |   -.300179   -.0639703      .8818025   .8629679
            fbaby |  -.1663271    .0236566      .9430944   1.005292
  -----------------------------------------------------------------

  
***To try to achieve better balance, we specify a richer model with interactions between mage and the other covariates and look at the resulting standardized differences.***


. teffects ipwra (prenatal1) (mbsmoke mmarried mage fbaby c.mage#(c.mage i.mmarried prenatal1))

Iteration 0:   EE criterion =  6.534e-20  
Iteration 1:   EE criterion =  6.700e-33  

Treatment-effects estimation                    Number of obs     =      4,642
Estimator      : IPW regression adjustment
Outcome model  : linear
Treatment model: logit
----------------------------------------------------------------------------------------
                       |               Robust
             prenatal1 |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |   .0012571   .0045992     0.27   0.785    -.0077572    .0102714
-----------------------+----------------------------------------------------------------
POmean                 |
               mbsmoke |
            nonsmoker  |    .800572     .00594   134.78   0.000     .7889298    .8122142
----------------------------------------------------------------------------------------

. tebalance overid

Iteration 0:   criterion =  .05681163  
Iteration 1:   criterion =   .0574754  (backed up)
Iteration 2:   criterion =  .05757201  (backed up)
Iteration 3:   criterion =  .05757578  (backed up)
Iteration 4:   criterion =  .05764886  
Iteration 5:   criterion =  .06054927  
Iteration 6:   criterion =  .06221027  
Iteration 7:   criterion =  .06966474  
Iteration 8:   criterion =  .07002762  
Iteration 9:   criterion =  .07095531  
Iteration 10:  criterion =  .07103876  
Iteration 11:  criterion =  .07210498  
Iteration 12:  criterion =  .07241342  
Iteration 13:  criterion =  .07241924  
Iteration 14:  criterion =   .0724205  
Iteration 15:  criterion =  .07242051  

Overidentification test for covariate balance
         H0: Covariates are balanced:

         chi2(7)      =  12.8082
         Prob > chi2  =   0.0769


. tebalance summarize

  Covariate balance summary
                                                   Raw     Weighted
                          -----------------------------------------
                          Number of obs =        4,642      4,642.0
                          Treated obs   =          864      2,328.5
                          Control obs   =        3,778      2,313.5
                          -----------------------------------------

  -----------------------------------------------------------------
                  |Standardized differences          Variance ratio
                  |        Raw    Weighted           Raw   Weighted
  ----------------+------------------------------------------------
         mmarried |  -.5953009    .0039817      1.335944   .9965187
             mage |   -.300179    .0388567      .8818025   1.077451
            fbaby |  -.1663271    -.013204      .9430944   .9965054
                  |
             mage#|
             mage |  -.3028275    .0456461      .8274389    1.11067
                  |
         mmarried#|
             mage |
         married  |  -.6329701     .017903      1.157026   1.034709
                  |
        prenatal1#|
             mage |
             Yes  |  -.4053969    .0126873      1.226363   1.024387
  -----------------------------------------------------------------

****2. Propensity-score matching ****

. teffects psmatch (prenatal1) (mbsmoke mmarried mage fbaby, probit)

Treatment-effects estimation                   Number of obs      =      4,642
Estimator      : propensity-score matching     Matches: requested =          1
Outcome model  : matching                                     min =          1
Treatment model: probit                                       max =        152
----------------------------------------------------------------------------------------
                       |              AI Robust
             prenatal1 |      Coef.   Std. Err.      z    P>|z|     [95% Conf. Interval]
-----------------------+----------------------------------------------------------------
ATE                    |
               mbsmoke |
(smoker vs nonsmoker)  |  -.0322283   .0150366    -2.14   0.032    -.0616994   -.0027572
----------------------------------------------------------------------------------------


///2.1 Check balancing after trt effect model

. tebalance summarize
note: refitting the model using the generate() option

  Covariate balance summary
                                                   Raw      Matched
                          -----------------------------------------
                          Number of obs =        4,642        9,284
                          Treated obs   =          864        4,642
                          Control obs   =        3,778        4,642
                          -----------------------------------------

  -----------------------------------------------------------------
                  |Standardized differences          Variance ratio
                  |        Raw     Matched           Raw    Matched
  ----------------+------------------------------------------------
         mmarried |  -.5953009   -.0009398      1.335944   1.000819
             mage |   -.300179    -.028468      .8818025   .9649534
            fbaby |  -.1663271    .0151827      .9430944   1.003583
  -----------------------------------------------------------------

. tebalance density mage
note: refitting the model using the generate() option

. 
. tebalance box mage
note: refitting the model using the generate() option
